Cyberduck Mountain Duck CLI

#8724 closed defect (fixed)

Failure to read attributes of <directory>.

Reported by: kerchroot Owned by: dkocher
Priority: normal Milestone: 6.9.0
Component: s3 Version: 4.6.5
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.10

Description

There is no way to set permissions to all files in a directory anymore - if you try, you will receive an error message "Failure to read attributes of <directory>.". Cyberduck is trying to receive ACL metadata for the directory, but it fails because of the nature of S3 storage. Here are the request/response details:

GET /logs%2F?acl HTTP/1.1
Date: Thu, 02 Apr 2015 22:08:31 GMT
Authorization: AWS ***
Host: ***.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.6.5 (Mac OS X/10.10.2) (x86_64)
HTTP/1.1 404 Not Found
x-amz-request-id: CF19A943485DE054
x-amz-id-2: BDXfq7K8ckzk5hNqMfPsa7/OA/qaGouCNfyrNVpIzXlXn7PA8RtpoKoFf/cnb8z4
Content-Type: application/xml
Transfer-Encoding: chunked
Date: Thu, 02 Apr 2015 22:08:30 GMT
Server: AmazonS3

/logs/ is a directory with files, not a file. This functionality worked fine in the earlier versions of Cyberduck.

Steps to reproduce:

  1. Connect to Amazon S3 and open a bucket with files and "directories"
  2. Select a "directory" and go to the File -> Info
  3. Error message will appear

Change History (9)

comment:1 Changed on Apr 3, 2015 at 8:46:05 AM by dkocher

  • Milestone set to 4.7
  • Status changed from new to assigned

comment:2 Changed on Apr 4, 2015 at 8:52:54 AM by dkocher

#8687 closed as duplicate.

comment:3 Changed on Apr 7, 2015 at 11:19:39 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r17256.

comment:4 Changed on May 6, 2015 at 8:55:47 AM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

Reverted in r17485.

comment:6 Changed on May 6, 2015 at 1:49:15 PM by dkocher

Add test in r17490.

comment:7 Changed on May 6, 2015 at 2:13:26 PM by dkocher

  • Milestone changed from 4.7 to 4.8
  • Resolution set to fixed
  • Status changed from reopened to closed

In r17494.

comment:8 Changed on Jan 11, 2019 at 12:18:49 PM by dkocher

  • Milestone changed from 4.7.1 to 6.9.0
  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:9 Changed on Jan 13, 2019 at 3:10:11 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r46023.

Note: See TracTickets for help on using tickets.
swiss made software